#ifndef R3_FAFEDE_STATE_H_
#define R3_FAFEDE_STATE_H_

#include "State.h"
//#include "PamInclude.h"

namespace PamOffLineSW
{
	class R3_FAFEDE_State : public PamOffLineSW::State
	{
	public:
		virtual ~R3_FAFEDE_State();
		void readInput(char inputbyte);
		static R3_FAFEDE_State& getInstance(){return instance;}
	private:
		R3_FAFEDE_State();
		static R3_FAFEDE_State instance;
		void initHeaderPKT();
		void resetHeaderPKT();
		char headerPKT[LENGTH_HEADER_PKT];	
		static int posHeaderPKT;		
		
	};
}
#endif /*R3_FAFEDE_STATE_H_*/
